Component({
  properties: {
    // 这里定义了innerText属性，属性值可以在组件使用时指定
    object:{
      type: Object,
      value:null
    },
  },
  data: {
     iurl:getApp().globalData.setting.imghost
  },
  
  lifetimes: {
    attached: function() {
		 var th=this;
		 //----获取系统参数-----
		 getApp().getConfig2(function(e) {		 
     	    var json_d = JSON.parse(e.switch_list);
		    th.setData({ sys_switch:json_d,  })
		 })
	}
  },
  
  methods: {
	 berror:function(e){
			 var iurl=getApp().globalData.setting.imghost;
			 var ob={};
			 var txt="object.title_img";
		  	 ob[txt] = iurl +'/miniapp/images/logo.png?v=1';
			 this.setData(ob);
	},
	
	//-- 跳到绑定注册会员 --
	go_user:function(){
	    getApp().goto('/packageE/pages/togoin/togoin');
	   	return false;
	},

	 //---------联系客服------------
	  contactService: function() {
	     getApp().con_Service();
	  },

      //---------联系微信客服------------
      con_weixin:function () {
		 getApp().con_wx(this);
      },

      click_contact:function () {
          getApp().globalData.no_clear=1;
      }
  }
})
